Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.util
Class HierarchyUtilities

    java.lang.Object
      com.pietschy.command.util.HierarchyUtilities

    public class HierarchyUtilities

extends java.lang.Object

Utilities for finding `CommandContainer` bindings.

Method Summary
`static java.util.List<CommandContainer>` | `findAllContainersInHeirarchy(java.awt.Component c)` Finds all the `CommandContainer`s bound to the specified components swing heirarchy.
`static CommandContainer` | `findFirstContainerInHeirarchy(java.awt.Component c)` Finds the first `CommandContainer` bound to the specified components swing heirarchy.
`static java.awt.Window` | `getWindowParent(java.awt.Component component)` Gets the window parent of the specified component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### findFirstContainerInHeirarchy

    public static CommandContainer findFirstContainerInHeirarchy(java.awt.Component c)

  Finds the first `CommandContainer` bound to the specified components swing heirarchy.

  Parameters:
    `c` - the component of interest.
  Returns:
    the first container found in the components heirarchy, or `null` if none were found.

### findAllContainersInHeirarchy

    public static java.util.List<CommandContainer> findAllContainersInHeirarchy(java.awt.Component c)

  Finds all the `CommandContainer`s bound to the specified components swing heirarchy.

  Parameters:
    `c` - the component of interest.
  Returns:
    a list of all the containers bound to the component heirarchy. The first container found is at index 0. If no container are found then an empt list is returned.

### getWindowParent

    public static java.awt.Window getWindowParent(java.awt.Component component)

  Gets the window parent of the specified component. This method uses `DefaultWindowSearchStrategy`.

  Parameters:
    `component` - the component of interest.
  Returns:
    the parent window of the component.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch